Subject: Re: [bug#62008] [PATCH 0/2] Update Disarchive to 0.5.0

From: Simon Tournier <[email-masked]>
Date: Fri, 18 Aug 2023 17:03:19 +0200

Hi Ludo,

On Fri, 18 Aug 2023 at 15:56, Ludovic Courtès <[email-masked]> wrote:

> > solved by adding the package guile,
> >
> >     $ guix shell -C disarchive guile -- disarchive disassemble hello-2.12.1
> >
> > then, I think the contrary: having two packages is more convenient.
>
> Hi!  Yes, I think you mentioned it before.  To me, there’s a precedent
> in favor of the status quo (a single package): quite a few other
> packages (guix, cuirass, mumi, guile-smc, etc.) are also both a Guile
> library and a set of commands, and they’re provided as a single package.

Hum, thus the status quo is in favor of my initial patch [1]. ;-)

--8<---------------cut here---------------start------------->8---
$ for tool in guix cuirass mumi; do
guix shell -C $tool -- $tool --version
done
guix shell -C guile-smc -- smc --version

> > guix (GNU Guix) 1.4.0-7.44bbfc2
Copyright (C) 2023 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
cuirass (Cuirass) 1.1.0-16.b825967
Copyright (C) 2021 the Cuirass authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

    `mumi search QUERY':
         search mumi for issues.

[...]

;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
;;;       or pass the --no-auto-compile argument to disable.
;;; compiling /gnu/store/8jmrygas3krkdrqalj0g0cp273whm84s-guile-smc-0.6.0/bin/.smc-real
;;; compiled /home/simon/.cache/guile/ccache/3.0-LE-8-4.6/gnu/store/8jmrygas3krkdrqalj0g0cp273whm84s-guile-smc-0.6.0/bin/.smc-real.go
smc 0.6.0
Copyright (C) 2021-2022 Artyom V. Poptsov <[email-masked]>
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Artyom V. Poptsov.
--8<---------------cut here---------------end--------------->8---

Please note that cuirass, mumi and guile-smc does not propagate any
inputs.  Hum, I do not know where cuirass and mumi are used as library,
but that’s another story. :-)

Well, I can live with one single package – although I think it’s
confusing :-) – however I cannot live without “guix shell -C disarchive
-- disarchive”.  Therefore, could you send a patch that fixes this and
suits your needs?

Cheers,
simon

1: https://issues.guix.gnu.org/62008#1